/*
 * Copyright (C) 2011 Xiangfu Liu <xiangfu@sharism.cc>
 *
 * This file is part of the MTK package, which is distributed
 * under the terms of the GNU General Public License version 2.
 */

#ifndef _MTK_ASCII_KEYCODES_H_
#define _MTK_ASCII_KEYCODES_H_

#define MTK_KEY_ENTER     10
#define MTK_KEY_SPACE     32

#define MTK_KEY_0   48
#define MTK_KEY_1   49
#define MTK_KEY_2   50
#define MTK_KEY_3   51
#define MTK_KEY_4   52
#define MTK_KEY_5   53
#define MTK_KEY_6   54
#define MTK_KEY_7   55
#define MTK_KEY_8   56
#define MTK_KEY_9   57

#define MTK_KEY_A   97 /* 'a' */
#define MTK_KEY_B   98 /* 'b' */
#define MTK_KEY_C   99 /* 'c' */
#define MTK_KEY_D   100 /* 'd' */
#define MTK_KEY_E   101 /* 'e' */
#define MTK_KEY_F   102 /* 'f' */
#define MTK_KEY_G   103 /* 'g' */
#define MTK_KEY_H   104 /* 'h' */
#define MTK_KEY_I   105 /* 'i' */
#define MTK_KEY_J   106 /* 'j' */
#define MTK_KEY_K   107 /* 'k' */
#define MTK_KEY_L   108 /* 'l' */
#define MTK_KEY_M   109 /* 'm' */
#define MTK_KEY_N   110 /* 'n' */
#define MTK_KEY_O   111 /* 'o' */
#define MTK_KEY_P   112 /* 'p' */
#define MTK_KEY_Q   113 /* 'q' */
#define MTK_KEY_R   114 /* 'r' */
#define MTK_KEY_S   115 /* 's' */
#define MTK_KEY_T   116 /* 't' */
#define MTK_KEY_U   117 /* 'u' */
#define MTK_KEY_V   118 /* 'v' */
#define MTK_KEY_W   119 /* 'w' */
#define MTK_KEY_X   120 /* 'x' */
#define MTK_KEY_Y   121 /* 'y' */
#define MTK_KEY_Z   122 /* 'z' */

/* German keyboard  */
#define MTK_KEY_PAR  21 /* '§' */
#define MTK_KEY_UE  129 /* 'ü' */
#define MTK_KEY_AE  132 /* 'ä' */
#define MTK_KEY_UAE 142 /* 'Ä' */
#define MTK_KEY_OE  148 /* 'ö' */
#define MTK_KEY_UUE 154 /* 'Ü' */
#define MTK_KEY_UOE 153 /* 'Ö' */
#define MTK_KEY_ET  225 /* 'ß' */
#define MTK_KEY_MU  230 /* 'µ' */
#define MTK_KEY_DI  246 /* '÷' */
#define MTK_KEY_DEG 248 /* '°' */
#define MTK_KEY_S2  253 /* '²' */

/* French keyboard */
#define MTK_KEY_EA  130 /* 'é' */
#define MTK_KEY_AG  133 /* 'à' */
#define MTK_KEY_EG  138 /* 'è' */
#define MTK_KEY_CC  135 /* 'ç' */
#define MTK_KEY_UG  151 /* 'ù' */
#define MTK_KEY_PD  156 /* '£' */


#define MTK_KEY_ASCII_MAX 256

#endif	/* _MTK_ASCII_KEYCODES_H_ */
